Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.util
Class RecentFiles

    java.lang.Object
      edu.udo.cs.miningmart.gui.util.RecentFiles

    public class RecentFiles

extends java.lang.Object

A class for holding the information about the recent files.

Version:
  $Id: RecentFiles.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`RecentFiles(int max_size)` Constructor for RecentFiles.

Method Summary
`java.lang.String` | `getFile(int index)` Gets the file at the specified index.
`int` | `getMaxSize()` Gets the maximum size.
`int` | `getSize()` Gets the real size.
`void` | `removeRecentFile(java.lang.String file)` Removes the specified recent file.
`void` | `setRecentFile(java.lang.String file)` Sets the specified recent file.
`void` | `setRecentFile(java.lang.String file, int position)` Sets the specified recent file at this position.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecentFiles

    public RecentFiles(int max_size)

  Constructor for RecentFiles.

  Parameters:
    `max_size` - the maximum size

Method Detail

### getMaxSize

    public int getMaxSize()

  Gets the maximum size.

### getSize

    public int getSize()

  Gets the real size.

### getFile

    public java.lang.String getFile(int index)

  Gets the file at the specified index.

### setRecentFile

    public void setRecentFile(java.lang.String file)

  Sets the specified recent file. The file is then on position 1.

### setRecentFile

    public void setRecentFile(java.lang.String file,
                              int position)

  Sets the specified recent file at this position.

### removeRecentFile

    public void removeRecentFile(java.lang.String file)

  Removes the specified recent file.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005